petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESJacobianFunction

Function used to convey the nonlinear Jacobian of the function to be solved by SNES

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESJacobianFunction(SNES snes,Vec x,Mat Amat,Mat Pmat,void *ctx);

Collective on snes

### Input Parameters

| x | - input vector, the Jacobian is to be computed at this value
| ctx | - [optional] user-defined Jacobian context

### Output Parameters

| Amat | - the matrix that defines the (approximate) Jacobian
| Pmat | - the matrix to be used in constructing the preconditioner, usually the same as Amat.

### See Also

SNESSetFunction(), SNESGetFunction(), SNESSetJacobian(), SNESGetJacobian()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages